Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.34 by aono, Wed Jun 11 11:16:05 2003 UTC revision 1.35 by aono, Fri May 21 16:39:31 2004 UTC
# Line 1004  if test -n "$ac_init_help"; then Line 1004  if test -n "$ac_init_help"; then
1004  Optional Features:  Optional Features:
1005    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
1006    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
1007    --enable-debug             enable debug options default=no    --enable-debug          enable debug options [default=no]
1008    --enable-libraries      build and install libraries default=yes    --enable-libraries      build and install libraries [default=yes]
1009    --enable-server         build and install server default=yes    --enable-server         build and install server [default=yes]
1010    --enable-client         build and install clients default=no    --enable-client         build and install clients [default=no]
1011    --enable-Wnn         build and install Wnn default=yes    --enable-Wnn            build and install Wnn [default=yes]
1012    --enable-cWnn         build and install cWnn default=yes    --enable-cWnn           build and install cWnn [default=yes]
1013    --enable-kWnn         build and install kWnn default=yes    --enable-kWnn           build and install kWnn [default=yes]
1014    --enable-ipv6           build and install IPv6 default=no    --enable-ipv6           build and install IPv6 [default=no]
1015    --enable-unsafe-path    allow creating files in an arbitrary path default=no    --enable-unsafe-path    allow creating files in an arbitrary path [default=no]
1016    --enable-shared[=PKGS]    --enable-shared[=PKGS]
1017                            build shared libraries [default=yes]                            build shared libraries [default=yes]
1018    --enable-static[=PKGS]    --enable-static[=PKGS]
# Line 1024  Optional Features: Line 1024  Optional Features:
1024  Optional Packages:  Optional Packages:
1025    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
1026    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
1027    --with-libwnn               use installed Wnn library default=no    --with-libwnn             use installed Wnn library [default=no]
1028    --with-wnn-includes=DIR  WNN include files are in DIR    --with-wnn-includes=DIR   WNN include files are in DIR
1029    --with-wnn-libraries=DIR Search for WNN libraries in DIRdefault=/usr/local/lib    --with-wnn-libraries=DIR  Search for WNN libraries in DIR [default=/usr/local/lib]
1030    --with-libcwnn               use installed cWnn library default=no    --with-libcwnn            use installed cWnn library [default=no]
1031    --with-cwnn-includes=DIR  CWNN include files are in DIR    --with-cwnn-includes=DIR  CWNN include files are in DIR
1032    --with-cwnn-libraries=DIR Search for CWNN libraries in DIRdefault=/usr/local/lib    --with-cwnn-libraries=DIR Search for CWNN libraries in DIR [default=/usr/local/lib]
1033    --with-libkwnn               use installed kWnn library default=no    --with-libkwnn            use installed kWnn library [default=no]
1034    --with-kwnn-includes=DIR  KWNN include files are in DIR    --with-kwnn-includes=DIR  KWNN include files are in DIR
1035    --with-kwnn-libraries=DIR Search for KWNN libraries in DIRdefault=/usr/local/lib    --with-kwnn-libraries=DIR Search for KWNN libraries in DIR [default=/usr/local/lib]
1036    --with-gnu-ld           assume the C compiler uses GNU ld [default=no]    --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
1037    --with-pic              try to use only PIC/non-PIC objects [default=use    --with-pic              try to use only PIC/non-PIC objects [default=use
1038                            both]                            both]
1039    --with-tags[=TAGS]    --with-tags[=TAGS]
1040                            include additional configurations [automatic]                            include additional configurations [automatic]
1041    --with-x                use the X Window System    --with-x                use the X Window System
1042    --with-libwrap=PATH   Compile in libwrap (tcp_wrappers) support.    --with-libwrap[=DIR]    Compile in libwrap (tcp_wrappers) support [default=try to find libwrap]
1043    
1044  Some influential environment variables:  Some influential environment variables:
1045    CC          C compiler command    CC          C compiler command
# Line 1407  ac_config_headers="$ac_config_headers co Line 1407  ac_config_headers="$ac_config_headers co
1407    
1408    
1409    
1410    # Quick and Dirty workaround for Autoconf-2.53 and Libtools-1.5 pair ...
1411    # not to use additional tagged configuration. (default: CXX F77)
1412    # NOTICE: Please remove next line if situation changes. (aono)
1413    tagnames=
1414    
1415  ac_aux_dir=  ac_aux_dir=
1416  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do  for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
1417    if test -f $ac_dir/install-sh; then    if test -f $ac_dir/install-sh; then
# Line 2545  case $host in Line 2550  case $host in
2550      CCOPTIONS="-Dlinux -D_POSIX_SOURCE -D_BSD_SOURCE"      CCOPTIONS="-Dlinux -D_POSIX_SOURCE -D_BSD_SOURCE"
2551      ;;      ;;
2552  *-*-darwin*)  *-*-darwin*)
2553        if test $GCC = yes; then
2554      # Unfortunately, autoconf (at least 2.57) does not recognize      # Unfortunately, autoconf (at least 2.57) does not recognize
2555      # proper CPP. (Normal cpp-precomp nor auto-retrying in basic mode does      # proper CPP. (Normal cpp-precomp nor auto-retrying in basic mode does
2556      # not work with pubdic+ processing.) So define here ....      # not work with pubdic+ processing.) So define here ....
2557      CPP=${CPP:-"gcc -E -no-cpp-precomp"}        # Note: It seems gcc-3.3 (or (probably) later) does not need this.
2558          CPP=${CPP:-"$CC -E -no-cpp-precomp"}
2559        fi
2560        # Don't care other CC-s.
2561      ;;      ;;
2562  *-*-sunos*)  *-*-sunos*)
2563        if test $GCC = yes; then        if test $GCC = yes; then
# Line 3482  ia64-*-hpux*) Line 3491  ia64-*-hpux*)
3491    ;;    ;;
3492  *-*-irix6*)  *-*-irix6*)
3493    # Find out which ABI we are using.    # Find out which ABI we are using.
3494    echo '#line 3485 "configure"' > conftest.$ac_ext    echo '#line 3494 "configure"' > conftest.$ac_ext
3495    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3496    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3497    ac_status=$?    ac_status=$?
# Line 4560  fi Line 4569  fi
4569    
4570    
4571  # Provide some information about the compiler.  # Provide some information about the compiler.
4572  echo "$as_me:4563:" \  echo "$as_me:4572:" \
4573       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4574  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4575  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 5563  else Line 5572  else
5572     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5573     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5574     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5575     (eval echo "\"\$as_me:5566: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5575: $lt_compile\"" >&5)
5576     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5577     ac_status=$?     ac_status=$?
5578     cat conftest.err >&5     cat conftest.err >&5
5579     echo "$as_me:5570: \$? = $ac_status" >&5     echo "$as_me:5579: \$? = $ac_status" >&5
5580     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5581       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5582       # So say no if there are warnings       # So say no if there are warnings
# Line 5795  else Line 5804  else
5804     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5805     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5806     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5807     (eval echo "\"\$as_me:5798: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5807: $lt_compile\"" >&5)
5808     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5809     ac_status=$?     ac_status=$?
5810     cat conftest.err >&5     cat conftest.err >&5
5811     echo "$as_me:5802: \$? = $ac_status" >&5     echo "$as_me:5811: \$? = $ac_status" >&5
5812     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5813       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5814       # So say no if there are warnings       # So say no if there are warnings
# Line 5862  else Line 5871  else
5871     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5872     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5873     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5874     (eval echo "\"\$as_me:5865: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5874: $lt_compile\"" >&5)
5875     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
5876     ac_status=$?     ac_status=$?
5877     cat out/conftest.err >&5     cat out/conftest.err >&5
5878     echo "$as_me:5869: \$? = $ac_status" >&5     echo "$as_me:5878: \$? = $ac_status" >&5
5879     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
5880     then     then
5881       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 7865  else Line 7874  else
7874    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7875    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7876    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7877  #line 7868 "configure"  #line 7877 "configure"
7878  #include "confdefs.h"  #include "confdefs.h"
7879    
7880  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 7963  else Line 7972  else
7972    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7973    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7974    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7975  #line 7966 "configure"  #line 7975 "configure"
7976  #include "confdefs.h"  #include "confdefs.h"
7977    
7978  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10097  else Line 10106  else
10106     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10107     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10108     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10109     (eval echo "\"\$as_me:10100: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10109: $lt_compile\"" >&5)
10110     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10111     ac_status=$?     ac_status=$?
10112     cat conftest.err >&5     cat conftest.err >&5
10113     echo "$as_me:10104: \$? = $ac_status" >&5     echo "$as_me:10113: \$? = $ac_status" >&5
10114     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10115       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10116       # So say no if there are warnings       # So say no if there are warnings
# Line 10164  else Line 10173  else
10173     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10174     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10175     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10176     (eval echo "\"\$as_me:10167: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10176: $lt_compile\"" >&5)
10177     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
10178     ac_status=$?     ac_status=$?
10179     cat out/conftest.err >&5     cat out/conftest.err >&5
10180     echo "$as_me:10171: \$? = $ac_status" >&5     echo "$as_me:10180: \$? = $ac_status" >&5
10181     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
10182     then     then
10183       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11396  else Line 11405  else
11405    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11406    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11407    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11408  #line 11399 "configure"  #line 11408 "configure"
11409  #include "confdefs.h"  #include "confdefs.h"
11410    
11411  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11494  else Line 11503  else
11503    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11504    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11505    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11506  #line 11497 "configure"  #line 11506 "configure"
11507  #include "confdefs.h"  #include "confdefs.h"
11508    
11509  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12316  else Line 12325  else
12325     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12326     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12327     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12328     (eval echo "\"\$as_me:12319: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12328: $lt_compile\"" >&5)
12329     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12330     ac_status=$?     ac_status=$?
12331     cat conftest.err >&5     cat conftest.err >&5
12332     echo "$as_me:12323: \$? = $ac_status" >&5     echo "$as_me:12332: \$? = $ac_status" >&5
12333     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12334       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12335       # So say no if there are warnings       # So say no if there are warnings
# Line 12383  else Line 12392  else
12392     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12393     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12394     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12395     (eval echo "\"\$as_me:12386: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12395: $lt_compile\"" >&5)
12396     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
12397     ac_status=$?     ac_status=$?
12398     cat out/conftest.err >&5     cat out/conftest.err >&5
12399     echo "$as_me:12390: \$? = $ac_status" >&5     echo "$as_me:12399: \$? = $ac_status" >&5
12400     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12401     then     then
12402       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14321  else Line 14330  else
14330     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14331     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14332     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14333     (eval echo "\"\$as_me:14324: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14333: $lt_compile\"" >&5)
14334     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14335     ac_status=$?     ac_status=$?
14336     cat conftest.err >&5     cat conftest.err >&5
14337     echo "$as_me:14328: \$? = $ac_status" >&5     echo "$as_me:14337: \$? = $ac_status" >&5
14338     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14339       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14340       # So say no if there are warnings       # So say no if there are warnings
# Line 14553  else Line 14562  else
14562     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14563     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14564     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14565     (eval echo "\"\$as_me:14556: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14565: $lt_compile\"" >&5)
14566     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14567     ac_status=$?     ac_status=$?
14568     cat conftest.err >&5     cat conftest.err >&5
14569     echo "$as_me:14560: \$? = $ac_status" >&5     echo "$as_me:14569: \$? = $ac_status" >&5
14570     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14571       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14572       # So say no if there are warnings       # So say no if there are warnings
# Line 14620  else Line 14629  else
14629     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14630     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14631     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14632     (eval echo "\"\$as_me:14623: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14632: $lt_compile\"" >&5)
14633     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
14634     ac_status=$?     ac_status=$?
14635     cat out/conftest.err >&5     cat out/conftest.err >&5
14636     echo "$as_me:14627: \$? = $ac_status" >&5     echo "$as_me:14636: \$? = $ac_status" >&5
14637     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14638     then     then
14639       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 16623  else Line 16632  else
16632    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16633    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16634    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16635  #line 16626 "configure"  #line 16635 "configure"
16636  #include "confdefs.h"  #include "confdefs.h"
16637    
16638  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 16721  else Line 16730  else
16730    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16731    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16732    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16733  #line 16724 "configure"  #line 16733 "configure"
16734  #include "confdefs.h"  #include "confdefs.h"
16735    
16736  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 19451  done Line 19460  done
19460    
19461    
19462    
19463    WRAPLIB=
19464  echo "$as_me:$LINENO: checking whether to use libwrap" >&5  echo "$as_me:$LINENO: checking whether to use libwrap" >&5
19465  echo $ECHO_N "checking whether to use libwrap... $ECHO_C" >&6  echo $ECHO_N "checking whether to use libwrap... $ECHO_C" >&6
19466    
# Line 19461  if test "${with_libwrap+set}" = set; the Line 19471  if test "${with_libwrap+set}" = set; the
19471            no)            no)
19472              echo "$as_me:$LINENO: result: no" >&5              echo "$as_me:$LINENO: result: no" >&5
19473  echo "${ECHO_T}no" >&6  echo "${ECHO_T}no" >&6
19474                WRAP_TRY=no
19475              ;;              ;;
19476            yes)            yes)
19477              echo "$as_me:$LINENO: result: yes" >&5              echo "$as_me:$LINENO: result: yes" >&5
19478  echo "${ECHO_T}yes" >&6  echo "${ECHO_T}yes" >&6
19479              echo "$as_me:$LINENO: checking for request_init in -lwrap" >&5              WRAP_TRY=yes
 echo $ECHO_N "checking for request_init in -lwrap... $ECHO_C" >&6  
 if test "${ac_cv_lib_wrap_request_init+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   ac_check_lib_save_LIBS=$LIBS  
 LIBS="-lwrap  $LIBS"  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
   
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char request_init ();  
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 request_init ();  
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_lib_wrap_request_init=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_cv_lib_wrap_request_init=no  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 LIBS=$ac_check_lib_save_LIBS  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_lib_wrap_request_init" >&5  
 echo "${ECHO_T}$ac_cv_lib_wrap_request_init" >&6  
 if test $ac_cv_lib_wrap_request_init = yes; then  
   
               LIBS="-lwrap $LIBS"  
   
 cat >>confdefs.h <<\_ACEOF  
 #define HAVE_LIBWRAP 1  
 _ACEOF  
   
 fi  
   
             CFLAGS="-DHAVE_LIBWRAP $CFLAGS"  
19480              ;;              ;;
19481            *)            *)
19482              echo "$as_me:$LINENO: result: yes" >&5              echo "$as_me:$LINENO: result: yes" >&5
19483  echo "${ECHO_T}yes" >&6  echo "${ECHO_T}yes" >&6
19484                WRAP_TRY=yes
19485              if test -d "$withval"; then              if test -d "$withval"; then
19486                WRAPINCLUDES="-I$withval"                WRAPINCLUDES="-I$withval"
19487                WRAPLIBS="-L$withval -lwrap"                if test -d $withval/include; then
19488                    WRAPINCLUDES="-I$withval/include $WRAPINCLUDES"
19489                  fi
19490                  WRAPLIB="-L$withval -lwrap"
19491                  if test -d $withval/lib; then
19492                    WRAPLIB="-L$withval/lib $WRAPLIB"
19493                  fi
19494              else              else
19495                WRAPINCLUDES="$withval"                WRAPINCLUDES="$withval"
19496              fi              fi
19497              OLDLIBS="$LIBS"              ;;
19498              CFLAGS="-DHAVE_LIBWRAP $WRAPINCLUDES $CFLAGS"          esac
19499              LIBS="$WRAPLIBS $LIBS"  else
19500      echo "$as_me:$LINENO: result: try to find" >&5
19501    echo "${ECHO_T}try to find" >&6
19502             WRAP_TRY=auto
19503    
19504              cat >conftest.$ac_ext <<_ACEOF  fi;
19505    # Link test for libwrap
19506    if test "$WRAP_TRY" = yes -o "$WRAP_TRY" = auto; then
19507        OLDCFLAGS="$CFLAGS"
19508        CFLAGS="$WRAPINCLUDES $CFLAGS"
19509        OLDLIBS="$LIBS"
19510        WRAPLIB=${WRAPLIB:-"-lwrap"}
19511        LIBS="$WRAPLIB $OLDLIBS"
19512        echo "$as_me:$LINENO: checking libwrap is working" >&5
19513    echo $ECHO_N "checking libwrap is working... $ECHO_C" >&6
19514        cat >conftest.$ac_ext <<_ACEOF
19515  #line $LINENO "configure"  #line $LINENO "configure"
19516  #include "confdefs.h"  #include "confdefs.h"
19517   int allow_severity; int deny_severity;   int allow_severity; int deny_severity;
# Line 19575  if { (eval echo "$as_me:$LINENO: \"$ac_l Line 19541  if { (eval echo "$as_me:$LINENO: \"$ac_l
19541    ac_status=$?    ac_status=$?
19542    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
19543    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
19544    :     echo "$as_me:$LINENO: result: yes" >&5
19545    echo "${ECHO_T}yes" >&6
19546    
19547    cat >>confdefs.h <<\_ACEOF
19548    #define HAVE_LIBWRAP 1
19549    _ACEOF
19550    
19551    
19552  else  else
19553    echo "$as_me: failed program was:" >&5    echo "$as_me: failed program was:" >&5
19554  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
19555   { { echo "$as_me:$LINENO: error: Could not find the $withval library. You must first install tcp_wrappers." >&5   echo "$as_me:$LINENO: result: no" >&5
19556  echo "$as_me: error: Could not find the $withval library. You must first install tcp_wrappers." >&2;}  echo "${ECHO_T}no" >&6
19557                      if test "$WRAP_TRY" = yes; then
19558                        { { echo "$as_me:$LINENO: error: Could not find libwrap. Please check config.log." >&5
19559    echo "$as_me: error: Could not find libwrap. Please check config.log." >&2;}
19560     { (exit 1); exit 1; }; }     { (exit 1); exit 1; }; }
19561                      else
19562                        # recover old flag / clear needless WRAPLIB and continue
19563                        CFLAGS=$OLDCFLAGS
19564                        WRAPLIB=
19565                      fi
19566  fi  fi
19567  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
19568              ;;      # only jserver needs libwrap, recover LIBS also
19569          esac      LIBS=$OLDLIBS
19570  else  fi
   echo "$as_me:$LINENO: result: no" >&5  
 echo "${ECHO_T}no" >&6  
   
 fi;  
19571    
19572    
19573  # mkdir -p Contrib/dic/gerodic in case builddir != srcdir  # mkdir -p Contrib/dic/gerodic in case builddir != srcdir
19574  for dir in Contrib Contrib/dic Contrib/dic/gerodic; do  dir=Contrib/dic/gerodic
19575    if test ! -d $dir; then    if test ! -d $dir; then
19576      echo "creating $dir ..."      echo "creating $dir ..."
19577      mkdir $dir    $ac_install_sh -d $dir
19578    fi    fi
 done  
19579    
19580    
19581    
# Line 20267  s,@LIBTOOL@,$LIBTOOL,;t t Line 20243  s,@LIBTOOL@,$LIBTOOL,;t t
20243  s,@LIBTOOL_DEPS@,$LIBTOOL_DEPS,;t t  s,@LIBTOOL_DEPS@,$LIBTOOL_DEPS,;t t
20244  s,@LIBOBJS@,$LIBOBJS,;t t  s,@LIBOBJS@,$LIBOBJS,;t t
20245  s,@JS_SUPPORTOBJS@,$JS_SUPPORTOBJS,;t t  s,@JS_SUPPORTOBJS@,$JS_SUPPORTOBJS,;t t
20246    s,@WRAPLIB@,$WRAPLIB,;t t
20247  CEOF  CEOF
20248    
20249  _ACEOF  _ACEOF

Legend:
Removed from v.1.34  
changed lines
  Added in v.1.35

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26